package com.bwie.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @Author: zhx
 * @Package: com.bwie.feign
 * @Datetime: 2024/1/3 12:58
 * @Filename: AuthFeign
 * @Description:
 */
@FeignClient(contextId = "authFeign",value = "bwie-user")
public interface AuthFeign {

    @GetMapping("/findName/{userName}")
    public Result<User> findName(@PathVariable("userName") String userName);

}
