package com.bwie.service;

import com.bwie.common.domain.Pro;
import com.bwie.common.domain.request.ItemRequest;
import com.bwie.common.domain.request.ProRequest;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author: zhx
 * @Package: com.bwie.service
 * @Datetime: 2024/1/3 11:15
 * @Filename: ProService
 * @Description:
 */

public interface ProService {
    Result<PageResult<Pro>> list(ProRequest proRequest);

    Result pic(MultipartFile file);

    Result addItem(ItemRequest itemRequest);

    void initialize();


    Result updState(Pro pro);

    Result findType(Integer proId);

    Result updPlace(Integer proId);
}
