package com.bwie.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Pro;
import com.bwie.service.EsService;
import org.elasticsearch.action.bulk.BulkRequest;
import org.elasticsearch.action.index.IndexRequest;
import org.elasticsearch.client.Client;
import org.elasticsearch.client.ElasticsearchClient;
import org.elasticsearch.common.xcontent.XContentType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.service.impl
 * @Datetime: 2024/1/3 18:55
 * @Filename: EsServiceImpl
 * @Description:
 */
@Service
public class EsServiceImpl implements EsService {


    @Autowired
    private ElasticsearchClient client;

    @Override
    public void Bulk(List<Pro> list) {

        BulkRequest bulkRequest = new BulkRequest();

        for (Pro pro : list) {

            String s = JSON.toJSONString(pro);

            bulkRequest.add(new IndexRequest("pro").id(pro.getProId().toString()).source(s, XContentType.JSON));

        }






    }
}
