package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain
 * @Datetime: 2024/1/3 18:21
 * @Filename: Aop
 * @Description:
 */
@Data
public class Aop {

    /**
     * 主键id
     */
    private Integer aopId;
    /**
     * 日志信息
     */
    private String aopName;
    /**
     * 操作人
     */
    private Integer userId;
    /**
     * 操作时间
     */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aopTime;

    /**
     * 操作人姓名
     */
    private String userName;


    public Aop() {
    }

    public Aop(String aopName, Integer userId) {
        this.aopName = aopName;
        this.userId = userId;
    }



}
