package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain
 * @Datetime: 2024/1/3 11:16
 * @Filename: Pro
 * @Description:
 */
@Data
public class Pro {

    /**
     * 编号
     */
    private Integer proId;
    /**
     * 名称
     */
    private String proName;
    /**
     * 项目客户方
     */
    private String proCustomer;
    /**
     * 项目立项时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proEstablish;
    /**
     * 项目开工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proStartTime;
    /**
     * 项目竣工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proEndTime;

    /**
     * 项目负责人
     */
    private Integer userId;
    private String userName;
    /**
     * 项目图片
     */
    private String proPic;
    /**
     * 状态
     */
    private Integer proState;
    /**
     * 估算总价
     */
    private Integer buds;
    /**
     * 概算总价
     */
    private Integer cuss;


}
