package com.bwie.mapper;

import com.bwie.common.domain.Aop;
import com.bwie.common.domain.Pro;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.TypeTable;
import com.bwie.common.domain.request.ItemRequest;
import com.bwie.common.domain.request.ProRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.mapper
 * @Datetime: 2024/1/3 11:15
 * @Filename: ProMapper
 * @Description:
 */
@Mapper
public interface ProMapper {


    List<Pro> list(ProRequest proRequest);

    List<Pro> listAll(ProRequest proRequest);

    int addItem(ItemRequest itemRequest);

    List<Type> findAllType();


    int updState(Integer proId);

    List<TypeTable> findType(Integer proId);

    int updPlace(Integer proId);

    void addAop(Aop aop);

    List<Pro> findAll();

}
